use hyper::Response as RawResponse;

/// [unstable] A response which contains all information to construct
pub struct Response {
    raw: RawResponse,
}

impl Response {
    pub fn from_raw(raw: RawResponse) -> Self {
        Response { raw }
    }

    pub fn into_raw(self) -> RawResponse {
        self.raw
    }
}
